SystemOrganization addCategory: #'PharoBot-GlamourExtensions'!

GLMMorphicSmalltalkCodeRenderer subclass: #PharoBotCodeRenderer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharoBot-GlamourExtensions'!

!PharoBotCodeRenderer commentStamp: 'NahuelGarbezza 2/10/2012 20:17' prior: 0!
Used only to instantiate PharoBotCodeModel instead of its superclass.!

!PharoBotCodeRenderer methodsFor: 'rendering' stamp: 'NahuelGarbezza 2/10/2012 20:06'!
textModelFor: aPresentation
	| tm |
	tm := PharoBotCodeModel new
		text: aPresentation formatedDisplayValue;
		glamourPresentation: aPresentation;
		highlightSmalltalk: true;
		highlightSmalltalkContext: aPresentation highlightSmalltalkContext.
	aPresentation variableBindings do: [ :each | tm addVariableBinding: each ].
	^ tm! !

GLMSmalltalkCodeModel subclass: #PharoBotCodeModel
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharoBot-GlamourExtensions'!

!PharoBotCodeModel commentStamp: 'NahuelGarbezza 2/10/2012 20:16' prior: 0!
Code model that adds Workspace 'mustDeclareVariables' feature to GLMSmalltalkCodeModel.!

!PharoBotCodeModel methodsFor: 'accessing' stamp: 'NahuelGarbezza 2/10/2012 20:09'!
bindingOf: aString

	(self variableBindings includes: aString)
		ifFalse: [ self addVariableBinding: (aString asSymbol -> nil) ].
	^super bindingOf: aString! !

GLMMorphicRenderer subclass: #PharoBotMorphicRenderer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharoBot-GlamourExtensions'!

!PharoBotMorphicRenderer commentStamp: 'NahuelGarbezza 2/10/2012 20:17' prior: 0!
Used only to instantiate PharoBotCodeRenderer instead of its superclass.!

!PharoBotMorphicRenderer methodsFor: 'rendering presentations' stamp: 'NahuelGarbezza 2/10/2012 20:02'!
renderSmalltalkCodePresentation: aSmalltalkCodePresentation

	^PharoBotCodeRenderer render: aSmalltalkCodePresentation from: self! !
